* {padding: 0; margin: 0; box-sizing: border-box;}
html {font-size: 15px; scroll-behavior: smooth;}
div.page {width: calc(100% - 72px);}
body {
    background: white;
    min-height: 100vh;
    font-family: 'Montserrat';
    font-size: 1rem;
    line-height: 1.6;
}
h1 {
    font-size: 36px;
    line-height: 1.09;
    text-transform: uppercase;
    padding: 15px 0 20px;
    font-weight: 400;
}
body.project h1 {
    max-width: 800px!important;
}
.categories + h1 {
    margin-top: -10px!important;
}
body.home h1 {
    font-weight: 700;
    font-size: 44px;
    padding-bottom: 30px;
}
h2 {
    font-size: 1rem;
    text-transform: uppercase;
    font-weight: 700;
    line-height: 1.09;
    margin-bottom: 10px!important;
}
p:not(:last-child) {
    margin-bottom: 1.6em!important;
}
.project h1 {
    font-size: 36px;
}
.subtitle {
    background: white;
    display: inline-block;
    color: #6cc4c8;
    padding: 10px 20px;
    font-size: 1.2em;
    width: 100%;
    max-width: 400px!important;
    position: relative;
    line-height: 1.09;
    margin-top: 5px!important;
    margin-bottom: 15px!important;
}
.categories {
    font-size: 9px;
    text-transform: uppercase;
    line-height: 1.4;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-block: 5px 10px;
}
a.category {color: white; text-decoration: none; transition: all 0.2s ease;}
a.category:hover {opacity: 0.5;}
.category + .category::before {
    content: ".";
    margin-inline: 0.35em;
}
ul.category-list {
    list-style: none;
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
    margin-block: 50px 20px!important;
}
ul.category-list li > * {
    border-bottom: 1px solid #f59602;
    background-color: rgba(255, 255, 255, 0.1);
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    text-decoration: none;
    transition: all 0.2s ease;
    line-height: 1.2;
    padding: 10px 20px;
}
ul.category-list li > a:hover {
    background: #f59602;
    transform: translateY(-10px);
}

.socialbutton {
    display: inline-block;
    transition: all 0.3s ease;
    border-bottom: 1px solid #f59602;
    background-color: rgba(255, 255, 255, 0.1);
    margin-inline: 7px;
    vertical-align: bottom;
    margin-block: 30px 5px;
}
.socialbutton span {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.socialbutton:hover {
    background: #f59602;
    transform: translateY(-10px);
}
.socialbutton img {
    filter: invert(1);
}

a.shortcodebutton {
    border: 2px solid white;
    color: white;
    font-weight: 700;
    padding: 19px 20px 21px;
    text-decoration: none;
    display: inline-block;
    transition: all 0.2s ease;
    text-transform: uppercase;
    line-height: 1.09;
    margin-top: 3px;
}
a.shortcodebutton:hover {
    background: white;
    color: #6cc4c8;
    transform: translateY(-10px);
}

/* --------- MENU --------- */
.menu {
    background: #202628;
    color: white;
    min-width: 72px;
    position: fixed;
    height: 100vh;
    z-index: 3;
    box-shadow: -1px 0 0 rgba(255, 255, 255, 0.1);
    right: 0;
}
.menu .buttons {
    display: flex;
    flex-direction: column;
}
.menu button {
    height: 72px;
    width: 72px;
    border: 0;
    background: transparent;
    color: white;
    border-radius: 0;
    cursor: pointer;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    transition: all 0.2s ease;
    position: relative;
}
.menu button span {
    position: absolute;
    z-index: -2;
    background: #f59602;
    right: 0;
    width: 360px;
    padding: 0 72px 0 20px;
    top: 0;
    height: 72px;
    transform: translateX(100%);
    transition: all 0.3s ease;
    text-align: left;
    font-size: 1rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    opacity: 0;
}
.menu button span strong {
    font-size: 13px;
    font-weight: 700;
    text-transform: uppercase;
    display: block;
    margin-block: 16px 7px;
}
.menu button:not(.disabled):hover {
    background: #f59602;
}
.menu button:not(.disabled):hover span {
    transform: translateX(0);
    opacity: 1;
}
.menu button img {
    width: 24px;
}
.menu button.disabled img {
    opacity: 0.3;
}
.menu button img:nth-child(2) {
    display: none;
}
.nav {
    position: fixed;
    top: 0;
    left: 0;
    width: calc(100% - 72px);
    height: 100vh;
    background: white;
    transform: translateX(100vw);
    z-index: 2;
    transition: all 0.5s ease;
}
.nav ul {
    list-style: none;
    display: flex;
}
.nav ul li {flex: 1;}
.nav ul li a {
    color: white;
    background: #f59602;   
    height: 100vh;
    width: 100%;
    display: block;
    padding-top: 200px;
    padding-inline: 15%;
    font-size: 41px;
    font-weight: 400;
    text-transform: uppercase;
    text-decoration: none;
    transition: all 0.2s ease;
}
.nav ul li a:hover {
    padding-top: 190px;
}
.nav ul li:nth-child(1) a {background: #6cc4c8;}
.nav ul li:nth-child(3) a {background: #202628;}
body.menu-open .nav {
    transform: translateX(0);
}


/* --------- SECTIONS --------- */
section {
    text-align: center;
    padding: 24px;
}
section.header img {
    width: 200px;
}
section.content {
    background: #6cc4c8;
    color: white;
}
section.content.cta2 h2 {
    font-size: 36px;
    font-weight: 400;
    margin-bottom: 30px!important;
    line-height: 1.4;
}
body.home section.content {
    padding-bottom: 74px;
}
section.content > * {
    max-width: 700px;
    margin: 0 auto;
}
section.featuredimage {
    padding: 0;
    background: #f6a200;
}
section.featuredimage.right {
    direction: rtl;
}
section.featuredimage.white {
    background: white;
}
section.image {
    padding: 0;
    background: #f6a200;
    direction: ltr;
}
section.image:nth-child(odd) {
    background: transparent;
    direction: rtl;
}
body:has(section.featuredimage.right) section.image:nth-child(odd) {
    direction: ltr;
}
body:has(section.featuredimage.right) section.image:nth-child(even) {
    direction: rtl;
}
body:has(section.featuredimage.white) section.image:nth-child(odd) {
    background: #f6a200;
}
body:has(section.featuredimage.white) section.image:nth-child(even) {
    background: transparent;
}
section.image:nth-last-child(2) {
    background: #6cc4c8!important;
}
section.image img, section.featuredimage img {
    display: block;
    max-width: 100%;
    min-width: 73%;
}
section.footer {
    line-height: 1.33333;
    color: #737678;
    font-size: 12px;
}
section.footer a {
    color: #737678;
    text-decoration: none;
    transition: all 0.2s ease;
}
section.footer a:hover {
    color: #f59602;
}

/* --------- PROJECTS --------- */
section.projects {
    background: #6cc4c8;
    color: white;
    padding: 0;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}
section.projects > a,
section.projects > span {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    aspect-ratio: 1;
    color: white;
    text-decoration: none;
    padding: 20px 10%;
    background: linear-gradient(transparent 70%, rgba(0,0,0,0.5) 90%), var(--project-bg-image);
}
section.projects > span.cta1,
section.projects > span.cta1 > * {
    background: white;
    opacity: 1!important;
    color: #f59602;
}
section.projects > span.cta1 a.shortcodebutton {
    border-color: #f59602;
    color: #f59602;
}
section.projects > span.cta1 a.shortcodebutton:hover {
    background: #f59602;
    color: white;
}
section.projects > span.cta1::before {
    display: none;
}
section.projects > span.cta1 h2 {
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 15px!important;
}
section.projects > a > * {
    position: relative;
    z-index: 1;
    opacity: 0;
}
section.projects > a:not(:hover) > * {
    transition: none;
}
section.projects > a:hover > * {
    opacity: 1;
}
section.projects > a:hover {
    background: linear-gradient(rgba(245, 150, 2, 0.9) 0%), var(--project-bg-image);
}
section.projects h2 {
    line-height: 1.4;
}
section.projects a h2 {
    font-size: 9px;
    text-transform: uppercase;
    line-height: 1.4;
    opacity: 1;
    font-weight: 400;
    position: absolute;
    bottom: 4%;
}
section.projects > a:hover h2 {
    font-size: 18px;
    font-weight: 700;
    line-height: 1.33333;
    margin: 5px 0 26px!important;
    position: relative;
    bottom: auto;
}
section.projects .button {
    transition: all 0.3s ease, opacity 0s ease;
    font-size: 15px;
    font-weight: 700;
    line-height: 1.09;
    border: 2px solid white;
    display: inline-block;
    padding: 8px 24px;
    text-transform: uppercase;
    z-index: 2;
}
section.projects .button:hover {
    background: white;
    color: #f59602;
    transform: translateY(-10px);
}

/* --------- MEDIA QUERIES --------- */

@media (min-width: 2000px) {
    section.image img, section.featuredimage img {
        min-width: calc(0.73 * (2000px - 72px));
    }
}
@media (min-width: 1600px) {
    section.projects {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    }
    section.projects.max3 {
        grid-template-columns: 1fr 1fr 1fr;
    }
}
@media (max-width: 1200px) {
    .nav ul {
        flex-direction: column;
    }
    .nav ul li a {
        height: calc(100dvh / 3);
        padding: 10%;
    }
    .nav ul li a:hover {
        padding-top: calc(10% - 10px);
    }
}
@media (max-width: 600px) {
    .project h1 {
        font-size: 24px;
    }
    .subtitle {
        margin-inline: -15px!important;
        display: block;
        width: calc(100% + 30px);
        max-width: none!important;
        top: 5px;
        margin-top: 10px!important;
    }
    section {
        padding-inline: 15px;
    }
    .nav ul li a {
        font-size: 27px;
    }
    div.page {
        width: 100%;
        margin-bottom: calc(72px + 1rem);
    }
    .menu {
        position: fixed;
        bottom: 1rem;
        height: 72px;
        width: 100%;
        max-width: 22rem;
        box-shadow: none;
        border-radius: 5rem;
        margin-inline: auto;
        right: 50%;
        transform: translateX(50%);

    }
    .menu .buttons {
        flex-direction: row;
        justify-content: center;
    }
    .menu button {
        border: 0;
    }
    .menu button span {display: none;}
    .nav {
        width: 100%;
        transform: translateY(100dvh);
        height: 100dvh;
    }
    .nav ul li a {
        height: calc(100dvh / 3);
    }
    body.menu-open .nav {
        transform: translate(0);
    }
    .nav ul li a:hover {
        padding-top: 10%;
    }
    section.projects {
        grid-template-columns: 1fr 1fr;
    }
    section.projects > a:hover > * {
        opacity: 0;
    }
    section.projects > span.cta1 {
        grid-column-start: span 2;
        padding-block: 50px 60px;
        aspect-ratio: unset;
    }
    section.content.cta2 h2 {
        font-size: 20px;
        margin-bottom: 15px !important;
    }
    section.content.cta2 {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    section.projects a h2,
    section.projects > a:hover h2 {
        font-size: 9px;
        opacity: 1;
        font-weight: 400;
        position: absolute;
        bottom: 4%;
        margin: 0!important;
        line-height: 1.4;
    }
    .menu button:not(.disabled):hover {
       background: transparent;
    }
}